


<!-- <div class="field col-12 md:col-4">
    <label for="monthpicker">Month Picker</label>
    <p-calendar [(ngModel)]="date9" view="month" dateFormat="mm/yy" [readonlyInput]="true" inputId="monthpicker">
    </p-calendar>
</div>
{{date9 | date: 'MM/yy'}} -->

<header *ngFor="let Rooms of Roomlist" class="viewLogin" >
    <p-button (click)="showRoom(Rooms)" icon="pi pi-external-link" label="ห้อง{{Rooms}}">
    </p-button>
</header>

<p-dialog header="คำนวณค่าใช้จ่าย ห้อง {{rooms}}" [(visible)]="displayshowroom" [style]="{width: '18vw'}">
    <div class="container">
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="ElectricBefore">
            <label for="float-input">เลขหน่วยไฟครั้งก่อน</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="ElectricAfter">
            <label for="float-input">เลขหน่วยไฟครั้งล่าสุด</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="WaterBefore">
            <label for="float-input">เลขหน่วยน้ำครั้งก่อน</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="WaterAfter">
            <label for="float-input">เลขหน่วยน้ำครั้งล่าสุด</label>
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="Sum">
            <label for="float-input">รวมค่าใช้จ่าย</label>
        </span>
        <br>

        <div>
            <p-button id="btnlogin" (click)="IsCalculate()" label="คำนวณ"></p-button>
        </div>

    </div>

    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check"  (onClick)="Onsave()" label="บันทึก" styleClass="p-button-text"
            *ngIf="IsCount"></p-button>
    </ng-template>
</p-dialog>